DOCS
Dashboardnorth_eastGet an API keyvpn_key
PAI Chat·Endpoint
POST/prompt-templates

Create a new prompt template

Create a new prompt template

GET/prompt-templates/{templateId}arrow_forward
upload
Request body
namerequired
string
The name of the prompt template
typerequired
string · dynamic | static | conditional
The type of the prompt template
trigger
string
The trigger string
contentrequired
string
The content of the prompt template
section
string · communication_style | context_and_clarification | content_and_sources | spam | other
The section of the prompt template
chatbotTyperequired
string · chat | support
The chatbot type the template is for
double_arrow
Returns 201
idrequired
string (uuid)
typerequired
enum
namerequired
string
trigger
string
contentrequired
string
section
enum
chatbotTyperequired
enum
createdAtrequired
string (date-time)
updatedAtrequired
string (date-time)
report
Errors
StatusDescription
500Default Response
north_east
Request
curl -X POST 'https://chat-api-dev.paicloud.ai//prompt-templates' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "name",
  "type": "dynamic",
  "trigger": "trigger",
  "content": "content",
  "section": "communication_style",
  "chatbotType": "chat"
}'
south_west
Response
201 OK
application/json
{
  "id": "00000000-0000-0000-0000-000000000001",
  "type": "dynamic",
  "name": "name",
  "trigger": "trigger",
  "content": "content",
  "section": "communication_style",
  "chatbotType": "chat",
  "createdAt": "2026-01-01T00: 00:00Z",
  "updatedAt": "2026-01-01T00: 00:00Z"
}